> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tokens In Payroll

> Lists the tokens used in a payroll with network, chain and Safe contract details.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-tokens-in-payroll
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-tokens-in-payroll:
    get:
      operationId: getTokensInPayroll
      summary: Get Tokens In Payroll
      x-toku-required-scope: payroll:read
      description: >-
        Lists the tokens used in a payroll with network, chain and Safe contract
        details.


        Required scope: `payroll:read`
      parameters:
        - name: tokenPayrollID
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokensInPayrollResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTokensInPayrollResponse:
      type: object
      properties:
        tokens:
          type: array
          items:
            $ref: '#/components/schemas/GetTokensInPayrollToken'
      required:
        - tokens
      description: Request regeneration does not infer response shapes.
    GetTokensInPayrollToken:
      type: object
      properties:
        tokenID:
          type: string
        address:
          type: string
        decimalPlaces:
          type: integer
        coinMarketCapID:
          type: string
        name:
          type: string
        symbol:
          type: string
        logoURI:
          type: string
        network:
          $ref: '#/components/schemas/GetTokensInPayrollNetwork'
      required:
        - tokenID
        - address
        - decimalPlaces
        - coinMarketCapID
        - name
        - symbol
        - logoURI
        - network
    GetTokensInPayrollNetwork:
      type: object
      properties:
        networkID:
          type: string
        networkName:
          type: string
        networkLogoURI:
          type: string
        meshConnectNetworkID:
          type: string
        chainType:
          type: string
        evmDetails:
          $ref: '#/components/schemas/GetTokensInPayrollEvmDetails'
        rpcURL:
          type: string
      required:
        - networkID
        - networkName
        - networkLogoURI
        - chainType
    GetTokensInPayrollEvmDetails:
      type: object
      properties:
        chainID:
          type: integer
        multiSendCallOnlyAddress:
          type: string
        safeSingletonAddress:
          type: string
        safeFactoryAddress:
          type: string
        safeAppBaseUrl:
          type: string
        eipsName:
          type: string
        blockExplorerBaseUrl:
          type: string
        rpcURL:
          type: string
      required:
        - chainID
        - multiSendCallOnlyAddress
        - safeSingletonAddress
        - safeFactoryAddress
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
